Source: https://docs.cumuluslabs.io/reference/voices.list
Content version: 54cda952

# voices.list

List the speech models and platform TTS voices an agent can use

## Request {#request}

`GET /api/v1/voices`

- MCP: `voices_list`
- SDK: `client.voices.list` (SDK path arguments use `path`; MCP uses `params`).
- Minimum API key role: **viewer**.
- Idempotency: **none**.

Use the request schema below. Read IDs from earlier operation results.

## Input schema {#input-schema}

```json
{
  "parameters": [
    {
      "name": "language",
      "in": "query",
      "required": false,
      "schema": {
        "type": "string",
        "enum": [
          "en",
          "es"
        ]
      }
    }
  ],
  "requestBody": null
}
```

## Responses {#responses}

```json
{
  "200": {
    "description": "List the speech models and platform TTS voices an agent can use",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/VoicesListResponse200"
        }
      }
    }
  },
  "4XX": {
    "description": "Typed error (ApiError)",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/ApiError"
        }
      }
    }
  },
  "5XX": {
    "description": "Typed error (ApiError)",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/ApiError"
        }
      }
    }
  }
}
```

## Referenced schemas {#schemas}

```json
{
  "components": {
    "schemas": {
      "VoicesListResponse200": {
        "type": "object",
        "properties": {
          "tts": {
            "type": "object",
            "properties": {
              "provider": {
                "type": "string",
                "enum": [
                  "elevenlabs",
                  "simulated_elevenlabs"
                ]
              },
              "models": {
                "type": "array",
                "items": {
                  "type": "string",
                  "minLength": 1
                },
                "minItems": 1
              },
              "default_model": {
                "type": "string",
                "minLength": 1
              },
              "default_voice_id": {
                "type": "string",
                "minLength": 1
              }
            },
            "required": [
              "provider",
              "models",
              "default_model",
              "default_voice_id"
            ],
            "additionalProperties": false
          },
          "stt": {
            "type": "object",
            "properties": {
              "provider": {
                "type": "string",
                "enum": [
                  "elevenlabs",
                  "simulated_stt"
                ]
              },
              "models": {
                "type": "array",
                "items": {
                  "type": "string",
                  "minLength": 1
                },
                "minItems": 1
              }
            },
            "required": [
              "provider",
              "models"
            ],
            "additionalProperties": false
          },
          "items": {
            "type": "array",
            "items": {
              "type": "object",
              "properties": {
                "voice_id": {
                  "type": "string",
                  "minLength": 1,
                  "maxLength": 256
                },
                "name": {
                  "type": "string",
                  "minLength": 1
                },
                "provider": {
                  "type": "string",
                  "enum": [
                    "elevenlabs",
                    "simulated_elevenlabs"
                  ]
                },
                "category": {
                  "type": "string",
                  "nullable": true
                },
                "preview_url": {
                  "type": "string",
                  "format": "uri",
                  "nullable": true
                },
                "languages": {
                  "type": "array",
                  "items": {
                    "type": "string",
                    "minLength": 2,
                    "maxLength": 8
                  }
                },
                "accent": {
                  "type": "string",
                  "nullable": true
                },
                "gender": {
                  "type": "string",
                  "nullable": true
                },
                "age": {
                  "type": "string",
                  "nullable": true
                },
                "description": {
                  "type": "string",
                  "nullable": true
                },
                "use_case": {
                  "type": "string",
                  "nullable": true
                }
              },
              "required": [
                "voice_id",
                "name",
                "provider",
                "category",
                "preview_url",
                "languages",
                "accent",
                "gender",
                "age",
                "description",
                "use_case"
              ],
              "additionalProperties": false
            }
          }
        },
        "required": [
          "tts",
          "stt",
          "items"
        ],
        "additionalProperties": false
      },
      "ApiError": {
        "type": "object",
        "properties": {
          "error": {
            "type": "object",
            "properties": {
              "code": {
                "type": "string",
                "enum": [
                  "unauthenticated",
                  "forbidden",
                  "not_found",
                  "conflict",
                  "invalid_request",
                  "idempotency_conflict",
                  "policy_denied",
                  "capability_unavailable",
                  "provider_unavailable",
                  "knowledge_unavailable",
                  "publication_invalid",
                  "run_not_active",
                  "rate_limited",
                  "outcome_unknown",
                  "internal"
                ]
              },
              "message": {
                "type": "string"
              },
              "retryable": {
                "type": "boolean"
              },
              "outcome": {
                "type": "string",
                "enum": [
                  "none",
                  "unknown"
                ]
              },
              "details": {
                "type": "object",
                "additionalProperties": {}
              }
            },
            "required": [
              "code",
              "message",
              "retryable",
              "outcome"
            ],
            "additionalProperties": false
          }
        },
        "required": [
          "error"
        ],
        "additionalProperties": false
      }
    }
  }
}
```

## Errors and recovery {#errors}

See [API error handling](https://docs.cumuluslabs.io/api#errors) and [Troubleshooting](https://docs.cumuluslabs.io/troubleshooting).

## Related guides {#related-guides}

- [Agents](https://docs.cumuluslabs.io/agents)
